| Home | Libraries | People | FAQ | More

## Function template operator==

boost::mpi::operator== — Compare two allocators for equality.

## Synopsis

    // In header: <boost/mpi/allocator.hpp>

    template<typename T1, typename T2>
      bool operator==(const allocator< T1 > &, const allocator< T2 > &);

## Description

Since MPI allocators have no state, all MPI allocators are equal.

Returns: | `true`